> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get daily SIM usage statistics

> Operacion: Get daily SIM usage statistics.



## OpenAPI

````yaml /generated/specs/diagnostics.json get /api/v1/emnify/endpoint/{endpointId}/stats/daily
openapi: 3.0.0
info:
  title: Raul API - Diagnostico
  description: Health, consumo, conectividad, SIMs, webhooks fallidos y estados tecnicos.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/emnify/endpoint/{endpointId}/stats/daily:
    get:
      tags:
        - Endpoint Management
      summary: Get daily SIM usage statistics
      description: 'Operacion: Get daily SIM usage statistics.'
      operationId: EndpointManagementController_getEndpointDailyStats
      parameters:
        - name: endpointId
          required: true
          in: path
          description: Emnify endpoint ID
          schema:
            type: number
        - name: sim_id
          required: true
          in: query
          description: SIM ID to get daily stats for
          schema:
            type: number
        - name: start_date
          required: false
          in: query
          description: 'Start date YYYY-MM-DD (default: 30 days ago)'
          schema:
            type: string
        - name: end_date
          required: false
          in: query
          description: 'End date YYYY-MM-DD (default: today)'
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SimDailyStatsItemDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmnifyErrorDto'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmnifyErrorDto'
      security:
        - bearerAuth: []
components:
  schemas:
    SimDailyStatsItemDto:
      type: object
      properties:
        date:
          type: string
          example: '2026-03-01'
        volume_mb:
          type: number
        volume_rx_mb:
          type: number
        volume_tx_mb:
          type: number
        cost_usd:
          type: number
        sms_count:
          type: number
      required:
        - date
        - volume_mb
        - volume_rx_mb
        - volume_tx_mb
        - cost_usd
        - sms_count
    EmnifyErrorDto:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
        details:
          type: string
      required:
        - error
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````